//  
//  SoftBank スマートフォンサービス開発支援サイト
//  リファレンスコード2(グラフィックス編)
//
//  Copyright(c) 2011 SOFTBANK MOBILE Corp. All rights reserved
//

package graphics.sample;

	import android.content.Context;
	import android.graphics.Canvas;
	import android.graphics.Color;
	import android.graphics.Paint;
	import android.graphics.Path;
	import android.graphics.Rect;
	import android.graphics.RectF;
	import android.view.View;

	public class GraphicsSample extends View{

		//コンストラクタで基本的な情報を設定します
		public GraphicsSample(Context context){

		//スーパークラスのコンストラクタを呼び出します
		super(context);

		//背景色を設定します　
		//色を指定しましょう
		setBackgroundColor(Color.WHITE);
		}

		//文字列の描画
		@Override
		protected void onDraw(Canvas canvas){

		//描画オブジェクトを生成します
		Paint paint = new Paint();

		//アンチエイリアスを設定します
		//trueを渡すとアンチエイリアスが有効になります
		paint.setAntiAlias(true);

		//ラインの描画
		//ラインの描画にはdrawLineを使います
		//使い方は、引数に（支点のX座標,支点のY座標,終点のX座標,終点のY座標）を指定します
		paint.setStrokeWidth(1);
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(Color.argb(255,0,0,0));
		canvas.drawLine(50,10,50,10+80,paint);

		//パスの描画
		//パスの描画にはdrawPathを使います
		//使い方は、moveToにパスの開始座標を指定して、
		//lineToに終点からのラインの追加をするための座標を指定します
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(Color.argb(255,0,0,0));
		Path path=new Path();
		path.moveTo(110+30,10+ 0);
		path.lineTo(110+ 0,10+10);
		path.lineTo(110+80,10+40);
		path.lineTo(110+40,10+80);
		canvas.drawPath(path,paint);

		//四角形の描画
		//四角形の描画にはRectを使います
		//FILLは塗りつぶし、STROKEはラインを表します
		//どちらも同時に描画させるときは、FILL_AND_STROKEを指定します
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(Color.argb(255,255,0,0));
		canvas.drawRect(new Rect(10+0,100+0,10+80,100+80),paint);

		//四角形の塗りつぶし
		paint.setStyle(Paint.Style.FILL);
		paint.setColor(Color.argb(255,255,0,0));
		canvas.drawRect(new Rect(110+0,100+0,110+80,100+80),paint);

		//角丸矩形の描画
		//角丸矩形の描画にはdrawRoundRectを使います
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(Color.argb(255,0,255,0));
		canvas.drawRoundRect(new RectF(10+0,200+0,10+80,200+80),20,20,paint);

		//角丸矩形の塗りつぶし
		paint.setStyle(Paint.Style.FILL);
		paint.setColor(Color.argb(255,0,255,0));
		canvas.drawRoundRect(new RectF(110+0,200+0,110+80,200+80),20,20,paint);

		//円の描画
		//円の描画にはdrawCircleを使います
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(Color.argb(255,255,255,0));
		canvas.drawCircle(50,340,40,paint);

		//円の塗りつぶし
		paint.setStyle(Paint.Style.FILL);
		paint.setColor(Color.argb(255,255,255,0));
		canvas.drawCircle(150,340,40,paint);
	}
}
